if (pkg.$vers.length >= 3) {
    pkg.$vers.push(Packages.xdc.services.global.Vers.getDate(xdc.csd() + '/..'));
}

pkg.build.libraries = [
    'lib/sysbios/debug/ti.sysbios.rts.gnu.am3g',
    'lib/sysbios/debug/ti.sysbios.rts.gnu.am4g',
    'lib/sysbios/debug/ti.sysbios.rts.gnu.am4fg',
    'lib/sysbios/debug/ti.sysbios.rts.gnu.aa8fg',
    'lib/sysbios/debug/ti.sysbios.rts.gnu.aa9fg',
    'lib/sysbios/debug/ti.sysbios.rts.gnu.aa15fg',
];

pkg.build.libDesc = [
    [
        'lib/sysbios/debug/ti.sysbios.rts.gnu.am3g',
        {
            target: 'gnu.targets.arm.M3',
            suffix: 'm3g'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.rts.gnu.am4g',
        {
            target: 'gnu.targets.arm.M4',
            suffix: 'm4g'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.rts.gnu.am4fg',
        {
            target: 'gnu.targets.arm.M4F',
            suffix: 'm4fg'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.rts.gnu.aa8fg',
        {
            target: 'gnu.targets.arm.A8F',
            suffix: 'a8fg'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.rts.gnu.aa9fg',
        {
            target: 'gnu.targets.arm.A9F',
            suffix: 'a9fg'
        }
    ],
    [
        'lib/sysbios/debug/ti.sysbios.rts.gnu.aa15fg',
        {
            target: 'gnu.targets.arm.A15F',
            suffix: 'a15fg'
        }
    ],
];
